import { IAnswer, IAccumulationQuestionGroupComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkAccumulationQuestionGroup implements IAccumulationQuestionGroupComponent {
  /**
   * Answers
   */
  answers: IAnswer[];
  /**
   * label
   */
  label: string;
  /**
   *  Labels that describe group
   */
  labelledBy: string;
  /**
   * Warning message
   */
  warning: string;
  accumulator: IAnswer;
  buffer: number;
  showAccumulatorWarning: boolean;
  showAccumulatorErrors: boolean;
  useExternal: boolean;
  onAnswersChange(answers: IAnswer[]): void;
  onAccumulatorChange(accumulator: IAnswer): void;
  onAccumulatorErrorsChange({ detail }: {
    detail: any;
  }): void;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  shouldHideLabel(answer: IAnswer): boolean;
  getAriaLabel(answer: IAnswer): string;
  validateAccumulatorValue(): boolean;
  renderInternal(): any;
}
