import { IQuoteRequestPremiumMonthlyComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkQuoteRequestPremiumMonthly implements IQuoteRequestPremiumMonthlyComponent {
  /**
   * Annual price
   */
  annualPrice: string;
  /**
   * Downpayment
   */
  downpayment: string;
  /**
   * Number of installments
   */
  installments: number;
  /**
   * Monthly price
   */
  monthlyPrice: string;
  useExternal: boolean;
  _annualPrice: string;
  _downpayment: string;
  _monthlyPrice: string;
  resetState(): void;
  componentWillLoad(): void;
  onAnnualPriceChange(annualPrice: string): void;
  onDownpaymentChange(downpayment: string): void;
  onMonthlyPriceChange(monthlyPrice: string): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
