import { ITabGroupComponent } from '@boldpenguin/sdk-types';
import { EventEmitter } from '../../stencil-public-runtime';
export declare class BpSdkTabGroup implements ITabGroupComponent {
  /**
   * Group code
   */
  code: string;
  /**
   * Tabs to display
   */
  tabs: string[];
  /**
   * Tab index
   */
  groupIndex: number;
  useExternal: boolean;
  tabChanged: EventEmitter<number>;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  updateIndex: (index: number) => void;
  onIndexChanged(index: number): void;
  onKeyboard: (event: KeyboardEvent) => void;
  onTabSelect: (index: number) => () => void;
  renderInternal(): any;
}
