import { IChoice, IVehicleConfigurationsComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkVehicleConfigurations implements IVehicleConfigurationsComponent {
  /**
   * The id of the answer associated with this field
   */
  answerId: string;
  /**
   * The question code associated with this field
   */
  code: string;
  /**
   * Label to display
   */
  label: string;
  /**
   * Is pristine
   */
  pristine: boolean;
  /**
   * Is touched
   */
  touched: boolean;
  /**
   * Error messages
   */
  errors: string[];
  /**
   * Configurations choices
   */
  configurations: IChoice[];
  /**
   * Selected configuration ID
   */
  selectedConfigurationId: string;
  useExternal: boolean;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
