import { r as registerInstance, h } from './index-b4e0290f.js';

const bpSdkTakeOverButtonCss = "";

let BpSdkTakeOverButton = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.useExternal = false;
  }
  resetState() { }
  connectedCallback() {
    this.resetState();
  }
  componentWillLoad() {
    this.useExternal = !!customElements.get('bp-sdk-external-take-over-button');
    customElements.whenDefined('bp-sdk-external-take-over-button').then(() => {
      this.useExternal = true;
    });
  }
  render() {
    return [this.useExternal && this.renderExternal(), !this.useExternal && this.renderInternal()];
  }
  renderExternal() {
    return h("bp-sdk-external-take-over-button", null);
  }
  renderInternal() {
    return h("bp-sdk-button", { class: "bp-sdk-take-over-button__container", text: "Take Over" });
  }
};
BpSdkTakeOverButton.style = bpSdkTakeOverButtonCss;

export { BpSdkTakeOverButton as bp_sdk_take_over_button };
