import { IChoice, IBusinessClassificationSelectorListComponent, IGroupedChoice, IGroupedChoicesConfig } from '@boldpenguin/sdk-types';
export declare class BpSdkBusinessClassificationSelectorList implements IBusinessClassificationSelectorListComponent {
  /***
   * Selected choice id
   */
  choiceId: string;
  /***
   * Choices to display
   */
  choices: IChoice[];
  /**
   * Should show confidence
   */
  showConfidence: boolean;
  /**
   * Should show confidence
   */
  showNaicsCode: boolean;
  /**
   * Grouped choices config
   */
  groupedChoicesConfig: IGroupedChoicesConfig;
  useExternal: boolean;
  groupedChoices: IGroupedChoice[];
  highestChoiceScore: number;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  calculateGroupedChoices: (choices?: IChoice[]) => void;
  onChoicesChange(choices: any): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
